class CreateTimerWatchers < ActiveRecord::Migration[6.0]
  def change
    create_table :timer_watchers do |t|
      t.string :element_type
      t.integer :element_id
      t.string :key
      t.references :admin, index: true, foreign_key: true
      t.references :p_customer
      t.string :admin_space
      t.datetime :end_at
      t.integer :time_ok
      t.boolean :write_action, :defaut => false
      
      t.timestamps null: false
    end
  end
end
